You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@mxnet.apache.org by GitBox <gi...@apache.org> on 2019/01/15 18:59:40 UTC

[GitHub] marcoabreu commented on a change in pull request #13767: [MXNET-1191] Maven Jenkins Pipeline with Static Binary and GPU

marcoabreu commented on a change in pull request #13767: [MXNET-1191] Maven Jenkins Pipeline with Static Binary and GPU
URL: https://github.com/apache/incubator-mxnet/pull/13767#discussion_r248021281
 
 

 ##########
 File path: ci/docker/install/ubuntu_base.sh
 ##########
 @@ -0,0 +1,40 @@
+#!/usr/bin/env bash
+
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+#
+#   http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied.  See the License for the
+# specific language governing permissions and limitations
+# under the License.
+
+# build and install are separated so changes to build don't invalidate
+# the whole docker cache for the image
+
+set -ex
+apt-get update || true
 
 Review comment:
   Sometimes, some apt repositories are not available and apt-get update fails. If that's the case, we still want to go ahead since all other repositories still updated (think of 1 out of 500 repositories not being available). If the repository we actually need for the installation is actually not available, the install will fail properly and that's fine. But in most cases, it's just an unused and unrelated repository that's not available and thus we just ignore it.

----------------------------------------------------------------
This is an automated message from the Apache Git Service.
To respond to the message, please log on GitHub and use the
URL above to go to the specific comment.
 
For queries about this service, please contact Infrastructure at:
users@infra.apache.org


With regards,
Apache Git Services